<?php

use EventPortal\Http\Controllers\Delegate\DashboardController;
use EventPortal\Http\Controllers\Delegate\Event\AgendaController;
use EventPortal\Http\Controllers\Delegate\Event\ContactController;
use EventPortal\Http\Controllers\Delegate\Event\LandingController;
use EventPortal\Http\Controllers\Delegate\Event\RegistrationController;
use EventPortal\Http\Controllers\Delegate\Event\VenueController;

Route::get('', [DashboardController::class, '__invoke'])->name('home');

Route::get('/account', 'Delegate\AccountController')->name('account.index');

Route::prefix('event/{event:slug}')->group(function (): void {
    Route::get('/', [LandingController::class, '__invoke'])->name('delegate.landing');
    Route::get('/agenda', [AgendaController::class, '__invoke'])->name('agenda.index');
    Route::get('/venue', [VenueController::class, '__invoke'])->name('venue.index');
    Route::get('contact', [ContactController::class, 'index'])->name('contact.index');
    Route::post('contact', [ContactController::class, 'store'])->name('contact.store');
    Route::get('register', [RegistrationController::class, 'index'])->name('register.index');
    Route::post('register', [RegistrationController::class, 'store'])->name('register.store');
    Route::post('register/update', [RegistrationController::class, 'store'])->name('register.update');
});
