<?php

namespace EventPortal\Domain\Event\Form\Models;

use EventPortal\Domain\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use OwenIt\Auditing\Auditable;
use OwenIt\Auditing\Contracts\Auditable as AuditableInterface;

class FormData extends Model implements AuditableInterface
{
    use Auditable;

    const KEY = 'form_data';

    /** @var array<string> */
    public $with = [
        'question',
    ];

    /** @var array<string> */
    protected $fillable = [
        'question_id',
        'value',
    ];

    public function question(): BelongsTo
    {
        return $this->belongsTo(Question::class);
    }
}
