<?php

namespace EventPortal\Domain\Event\Form\ValueObjects;

use Illuminate\Contracts\Support\Arrayable;
use Illuminate\Support\Arr;

class OptionData implements Arrayable
{
    /** @var int */
    public $id;

    /** @var string */
    public $name;

    /** @var int */
    public $order;

    /** @var string */
    public $uuid;

    public function __construct(array $option)
    {
        $this->id = (int) Arr::get($option, 'id');
        $this->name = Arr::get($option, 'value');
        $this->order = (int) Arr::get($option, 'order');
        $this->uuid = Arr::get($option, 'uuid');
    }

    public function toArray(): array
    {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'order' => $this->order,
            'uuid' => $this->uuid,
        ];
    }
}
