<?php

namespace EventPortal\Domain\EventDelegate\Handlers;

use Closure;
use EventPortal\Domain\Delegate\Models\DelegateFormStep;
use EventPortal\Domain\Event\Form\Enums\State;
use EventPortal\Domain\EventDelegate\Actions\TransitionDelegateOnEvent;
use EventPortal\Domain\Form\Payload;
use Illuminate\Support\Facades\Auth;

class RegisterDelegate
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        DelegateFormStep::create([
            'state' => State::Complete()->getValue(),
            'delegate_id' => Auth::user()->delegate->id,
            'form_step_id' => $payload->getContext('form_steps')->id,
        ]);

         $transition = $payload->getContext('form')->finalStep
             ->is($payload->getContext('step')) ? 'registered' : 'registering';

        (new TransitionDelegateOnEvent)->execute(
            $payload->getContext('event'),
            $payload->getContext('delegate'),
            $transition
        );

        return $next($payload);
    }
}
