<?php

namespace EventPortal\Domain\Form\Facades;

use EventPortal\Domain\Event\Form\Models\Form as FormModel;
use EventPortal\Domain\Event\Form\Models\FormStep;
use EventPortal\Domain\Form\FormRegistry;
use Illuminate\Support\Facades\Facade;

/**
 * @method \EventPortal\Domain\Form\Form make(string $formName)
 * @method \EventPortal\Domain\Form\Form makeFromDatabase(FormModel $form, ?FormStep $step = null)
 * @method \EventPortal\Domain\Form\Form validate(array $input)
 * @method \EventPortal\Domain\Form\Form addFields(callable $fields)
 * @method \EventPortal\Domain\Form\Form addActions(callable $actions)
 * @method \EventPortal\Domain\Form\Form addPrimaryAction(callable $primaryAction)
 * @method \EventPortal\Domain\Form\Form model(\Illuminate\Database\Eloquent\Model $model)
 * @method \EventPortal\Domain\Form\Form context(array $models)
 * @method \EventPortal\Domain\Form\Form handle(array $input)
 */
class Form extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return FormRegistry::class;
    }
}
